# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'graphql/mock/version'

Gem::Specification.new do |spec|
  spec.name          = 'graphql-mock'
  spec.version       = GraphQL::Mock::VERSION
  spec.authors       = ['Marco Costa']
  spec.email         = ['marco@marcotc.com']
  spec.license = 'MIT'

  spec.summary       = 'Validate GraphQL requests against real schemas'
  spec.description   = <<~DESC
Provides a GraphQL mock server that allows testing client request against a provided schema.
  DESC
  spec.homepage      = 'https://github.com/wealthsimple/graphql-mock'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.3'

  spec.add_dependency 'graphql', '~> 1'

  spec.add_development_dependency 'bundler', '~> 1.15'
  spec.add_development_dependency 'bundler-audit'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rspec-its', '~> 1'
  spec.add_development_dependency 'rubocop', '0.49.1' # Temporarily necessary to avoid breaking ws-style
  spec.add_development_dependency 'ws-style'
end
